<div [@compButton] [@wobbleVertRight]="compareService.wobbleButton$ | async" (@wobbleVertRight.done)="compareService.wobbleButton$.next(false)"
	class="row pet-compare-btn-container">
	<div class="col px-0">
  	<div (click)="toggleComparePanel()" class="btn btn-secondary btn-lg pet-compare-btn pet-glow-secondary">
  		<div class="row gx-2 gx-xxl-3">
  			<div  class="col-auto align-self-center">
          <fa-icon [icon]="iconOpenClose" class="d-none d-xxl-block light-svg"></fa-icon>
          <fa-icon [icon]="iconOpenClose" class="d-xxl-none fa-xs light-svg"></fa-icon>
  			</div>
  			<div class="col-auto">
  				<div class="row">
  					<div class="col d-none d-xxl-block text-tertiary-light h6" i18n="@@compareBtn">Compare</div>
  				</div>
  				<div *ngIf="compareLength$ | async as compareLength" class="row flex-column flex-xxl-row gy-2 gx-0 justify-content-around">
  					<div [ngClass]="{'pet-animate-heartbeat-on': compareLength > 0}" class="pet-rectangle col-auto"></div>
            <div [ngClass]="{'pet-animate-heartbeat-on': compareLength > 1}" class="pet-rectangle col-auto"></div>
            <div [ngClass]="{'pet-animate-heartbeat-on': compareLength > 2}" class="pet-rectangle col-auto"></div>
            <div [ngClass]="{'pet-animate-heartbeat-on': compareLength > 3}" class="pet-rectangle col-auto"></div>
  				</div>
  			</div> 
  		</div>
  	</div>
  </div>
</div>
